## org.hibernate.internal.jaxb.mapping.orm
Class JaxbGeneratedValue

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbGeneratedValue

    public class JaxbGeneratedValue

extends Object

Field Summary
`protected String` `generator`
`protected JaxbGenerationType` `strategy`

Constructor Summary
`JaxbGeneratedValue()`

Method Summary
`String` `getGenerator()` Gets the value of the generator property.
`JaxbGenerationType` `getStrategy()` Gets the value of the strategy property.
`void` `setGenerator(String value)` Sets the value of the generator property.
`void` `setStrategy(JaxbGenerationType value)` Sets the value of the strategy property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### strategy

    protected JaxbGenerationType strategy

### generator

    protected String generator

Constructor Detail

### JaxbGeneratedValue

    public JaxbGeneratedValue()

Method Detail

### getStrategy

    public JaxbGenerationType getStrategy()

  Gets the value of the strategy property.

  Returns:
    possible object is `JaxbGenerationType`

### setStrategy

    public void setStrategy(JaxbGenerationType value)

  Sets the value of the strategy property.

  Parameters:
    `value` - allowed object is `JaxbGenerationType`

### getGenerator

    public String getGenerator()

  Gets the value of the generator property.

  Returns:
    possible object is `String`

### setGenerator

    public void setGenerator(String value)

  Sets the value of the generator property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.